## assembly-stats 1.0.1+ds

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (assembly-stats)

set (CMAKE_CXX_FLAGS "-Wall -O3")

file(COPY test_files DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
add_subdirectory(gtest-1.7.0)
enable_testing()
include_directories(${gtest_SOURCE_DIR}/include ${gtest_SOURCE_DIR})
add_executable(runUnitTests fasta_unittest.cpp fastq_unittest.cpp filetype_unittest.cpp stats_unittest.cpp)
target_link_libraries(runUnitTests gtest gtest_main fasta fastq filetype stats)
add_test(runUnitTests runUnitTests)

add_library(fasta fasta.cpp)
add_library(fastq fastq.cpp)
add_library(filetype filetype.cpp)
add_library(stats stats.cpp)
target_link_libraries(stats fasta fastq filetype)
add_executable(assembly-stats assembly-stats.cpp)
target_link_libraries(assembly-stats stats)

set(INSTALL_DIR /usr/local/bin CACHE PATH "Installation directory for executables")
install(TARGETS assembly-stats DESTINATION ${INSTALL_DIR})

=== debian/changelog ===
assembly-stats (1.0.1+ds-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Add some DEP-3 headers.

  [ Adrian Bunk ]
  * Fix FTBFS with CMake 4. Closes: #1112710.

  [ Santiago Vila ]
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * d/salsa-ci.yml: Use the simplified version.
  * d/salsa-ci.yml: Allow blhc to fail.

 -- Santiago Vila <sanvila@debian.org>  Tue, 14 Oct 2025 02:10:00 +0200

assembly-stats (1.0.1+ds-6) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2022 21:42:14 +0100

assembly-stats (1.0.1+ds-5) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with gcc-11 (Closes: #997122)
  * Update d/u/metadata

 -- Nilesh Patra <nilesh@debian.org>  Sun, 31 Oct 2021 01:26:55 +0530

assembly-stats (1.0.1+ds-4) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 09:31:58 +0200

assembly-stats (1.0.1+ds-3) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * No publication found, Add conda-id

  [ Nilesh Patra ]
  * Do not forcefully compile tests (Closes: #984889)
  * Use DEB_HOST_GNU_TYPE instead of DEB_BUILD_GNU_TYPE
    (Closes: #984890)
  * Add debug flag

 -- Nilesh Patra <nilesh@debian.org>  Wed, 10 Mar 2021 00:39:38 +0530

assembly-stats (1.0.1+ds-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jun 2020 22:05:30 +0200

assembly-stats (1.0.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #962549)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jun 2020 21:50:58 +0200

=== debian/control ===
Source: assembly-stats
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libgtest-dev <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/assembly-stats
Vcs-Git: https://salsa.debian.org/med-team/assembly-stats.git
Homepage: https://github.com/sanger-pathogens/assembly-stats

Package: assembly-stats
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: get assembly statistics from FASTA and FASTQ files
 Get statistics from a list of files.
 .
 Detection of FASTA or FASTQ format of each file is automatic from the
 file contents, so file names and extensions are irrelevant.
 .
 The default output format is human readable. You can change the output
 format and ignore sequences shorter than a given length.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTS=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)

override_dh_auto_install:
	dh_install obj-$(DEB_HOST_GNU_TYPE)/assembly-stats usr/bin

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/sanger-pathogens/assembly-stats/tags .*/v?(\d[\d.]+)\.tar\.gz
